Bug 966261 - Offline Utility needed to parse .xml.gz results
Offline Utility needed to parse .xml.gz results
Status: NEW
Product: Red Hat Certification Program
Classification: Red Hat
Component: redhat-certification (Show other bugs)
1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Greg Nichols
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-22 17:40 EDT by Mark Coskey
Modified: 2016-07-05 14:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Coskey 2013-05-22 17:40:04 EDT
Description of problem:
By design the hwcert-client-1.6.4 & 1.5.9 only creates the *.xml.gz results package, which is not easily readable like the v7 *.rpm package. So we need an offline utility that will parse the .xml.gz results in order to evaluate test results & debug failures during product development. Keep in mind HP often times does test execution and results package review at different sites, so the HP reviewer may not have access to the hardware testing occurred on.

Version-Release number of selected component (if applicable):
hwcert-client-1.6.4-49 & hwcert-client-1.5.9-28


How reproducible: Always


Steps to Reproduce:
  1. n/a

Actual results: Unable to review the hwcert *.xml.gz results package for test errors/debugging, passes, etc. 


Expected results: Should be able to review the hwcert results package for test errors/debugging, passes, etc. like you could with the v7 *.rpm results package.


Additional info:
Comment 1 Greg Nichols 2013-05-22 20:34:18 EDT
The hwcert test server (the hwcert-server package)  will store and present test results via the URL http://<hwcert test server host>/hwcert/ (The "Saved Test Results" link.  This is done via XML and style sheets.

Test results (xml.gz) are stored there either via "hwcert-backend save" or the prompts that happen each test cycle in the new hwcert command.

I understand that this may not be quite what you're looking for but was curious if this is helpful in your environment.
Comment 2 Mark Coskey 2013-05-23 12:03:57 EDT
Greg,

Not sure what is meant by the "saved test results" link, is this the path to the test results on the remote test server (www/hwcert/store/)?

This would still be cumbersome b/c the HP reviewer would need a remote test server setup to analyse results.

Note You need to log in before you can comment on or make changes to this bug.